Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# copy_pixels
[STL-like Algorithms]

## Detailed Description

std::copy for image views

std::copy and gil::copy_pixels

## Functions

template<typename View1, typename View2>
GIL_FORCEINLINE void | copy_pixels (const View1 &src, const View2 &dst)
| std::copy for image views
template<typename Types1, typename View2>
void | copy_pixels (const any_image_view< Types1 > &src, const View2 &dst)
template<typename View1, typename Types2>
void | copy_pixels (const View1 &src, const any_image_view< Types2 > &dst)
template<typename Types1, typename Types2>
void | copy_pixels (const any_image_view< Types1 > &src, const any_image_view< Types2 > &dst)